"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
function mkdirp(dir) {
    if (fs_1.default.existsSync(dir)) {
        return true;
    }
    const dirname = path_1.default.dirname(dir);
    mkdirp(dirname);
    fs_1.default.mkdirSync(dir);
}
exports.createParentDirectories = (localDestination) => {
    const parentDirectory = path_1.default.dirname(localDestination);
    if (!fs_1.default.existsSync(parentDirectory)) {
        mkdirp(parentDirectory);
    }
};
//# sourceMappingURL=FileTools.js.map