"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("./config");
const DokiThemeDefinitions_1 = __importDefault(require("./DokiThemeDefinitions"));
var StickerType;
(function (StickerType) {
    StickerType["DEFAULT"] = "DEFAULT";
    StickerType["SECONDARY"] = "SECONDARY";
})(StickerType = exports.StickerType || (exports.StickerType = {}));
exports.getThemeByName = (themeName) => {
    const definedThemeId = themeName || config_1.DEFAULT_CONFIGURATION.themeId;
    // @ts-ignore
    const maybeDokiTheme = DokiThemeDefinitions_1.default[definedThemeId];
    return (maybeDokiTheme ||
        DokiThemeDefinitions_1.default["420b0ed5-803c-4127-97e3-dae6aa1a5972"]);
};
//# sourceMappingURL=themeTools.js.map